#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-IzaGuT7vGt91kQQC3O7QdV-dns-internal
key:                  dns-4.1.0-IzaGuT7vGt91kQQC3O7QdV-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  2fd85cebd0a1e69f40357dd3b0d48d41
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-IzaGuT7vGt91kQQC3O7QdV-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-LM0HlUdSKUwJh3dIs1WE49
    attoparsec-0.14.4-4JEwCvstbcX7orbzkj5ARt
    auto-update-0.1.6-6IhRSklyjToJNDZF4qF2GN base-4.15.1.0
    base16-bytestring-1.0.2.0-6wi7n9FnfdhKarr8p6ANo4
    base64-bytestring-1.2.1.0-EyJGIOwC6fgB02uWcmL165
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6ZB4xK9fA4WE56E0TGWmRZ
    hourglass-0.2.12-PQixPw25AyCtjoDC6rA27
    iproute-1.7.12-LDBqZ5leSBA87k622PHnFN mtl-2.2.2
    network-3.1.2.7-FubOEMZc7TlK7RMVSMJ61C
    psqueues-0.2.7.3-9oYCJg5KuAtG9012Yvyfhi

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-LFy59IYERZw7rf3usIef8M
key:                  dns-4.1.0-LFy59IYERZw7rf3usIef8M
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  6ecc38046467cf62826f7950fc95266c
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-LFy59IYERZw7rf3usIef8M
depends:
    array-0.5.4.0 async-2.2.4-LM0HlUdSKUwJh3dIs1WE49
    attoparsec-0.14.4-4JEwCvstbcX7orbzkj5ARt
    auto-update-0.1.6-6IhRSklyjToJNDZF4qF2GN base-4.15.1.0
    base16-bytestring-1.0.2.0-6wi7n9FnfdhKarr8p6ANo4
    base64-bytestring-1.2.1.0-EyJGIOwC6fgB02uWcmL165
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6ZB4xK9fA4WE56E0TGWmRZ
    dns-4.1.0-IzaGuT7vGt91kQQC3O7QdV-dns-internal
    hourglass-0.2.12-PQixPw25AyCtjoDC6rA27
    iproute-1.7.12-LDBqZ5leSBA87k622PHnFN mtl-2.2.2
    network-3.1.2.7-FubOEMZc7TlK7RMVSMJ61C
    psqueues-0.2.7.3-9oYCJg5KuAtG9012Yvyfhi

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

